org.apache.tapestry5.services

## Class InitializeActivePageName

- java.lang.Object
- - org.apache.tapestry5.services.InitializeActivePageName

- All Implemented Interfaces:
    ComponentRequestFilter

      public class InitializeActivePageName
      extends java.lang.Object
      implements ComponentRequestFilter

  Filter contributed into the `ComponentRequestHandler` pipeline to set the `activePageName property`.
  Since:
    5.2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InitializeActivePageName(RequestGlobals globals)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleComponentEvent(ComponentEventRequestParameters parameters, ComponentRequestHandler handler)` Handler for a component action request which will trigger an event on a component and use the return value to send a response to the client (typically, a redirect to a page render URL).
    `void` | `handlePageRender(PageRenderRequestParameters parameters, ComponentRequestHandler handler)` Invoked to activate and render a page.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InitializeActivePageName

          public InitializeActivePageName(RequestGlobals globals)

  - ### Method Detail

    - #### handleComponentEvent

          public void handleComponentEvent(ComponentEventRequestParameters parameters,
                                           ComponentRequestHandler handler)
                                    throws java.io.IOException

      Description copied from interface: `ComponentRequestFilter`
      Handler for a component action request which will trigger an event on a component and use the return value to send a response to the client (typically, a redirect to a page render URL).
      Specified by:
        `handleComponentEvent` in interface `ComponentRequestFilter`
      Parameters:
        `parameters` - defining the requst
        `handler` - next handler in the pipeline
      Throws:
        `java.io.IOException`

    - #### handlePageRender

          public void handlePageRender(PageRenderRequestParameters parameters,
                                       ComponentRequestHandler handler)
                                throws java.io.IOException

      Description copied from interface: `ComponentRequestFilter`
      Invoked to activate and render a page. In certain cases, based on values returned when activating the page, a `ComponentEventResultProcessor` may be used to send an alternate response (typically, a redirect).
      Specified by:
        `handlePageRender` in interface `ComponentRequestFilter`
      Parameters:
        `parameters` - defines the page name and activation context
        `handler` - next handler in the pipeline
      Throws:
        `java.io.IOException`

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.